<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>

<html>
  <head>
    <title>List HTTP headers</title>
  </head>
  <body>
    This page has the following HTTP headers:<br />
    <ol>
      <%-- 'param' is an implicit object. It is a Map that maps a 'key'
           (the parameter name) to a 'value' --%>
      <c:forEach var="nextHeader" items="${header}">
        <li> <c:out value="${nextHeader.key}" /> = <c:out value="${nextHeader.value}" />
      </c:forEach>
    </ol>
  </body>
</html>